Subject: bug#56843: closed (Re: bug#56843: grep mangling lines)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 31 Jul 2022 04:51:02 +0000

Your bug report

#56843: grep mangling lines

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
56843: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56843
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#56843: grep mangling lines
From: Paul Eggert <[email-masked]>
To: "David G. Pickett" <[email-masked]>
Cc: [email-masked]
Date: Sat, 30 Jul 2022 21:50:06 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 7/30/22 17:42, David G. Pickett wrote:
> Any clues on how I got an xterm to mess up?

Presumably by sending that sequence of escape characters to xterm. You 
should be able to reproduce the problem by using grep --color=always and 
sending the output to a file F, and then by typing 'cat F'.

As this is not a grep bug, I'll close the grep bug report.

Subject: grep mangling lines
From: "David G. Pickett" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 30 Jul 2022 15:57:39 +0000 (UTC)
List-Id: <debbugs-submit.debbugs.gnu.org>

I was stunned to see the grep command remove bytes:

$ crontab -l|grep clam30 23 * * * /usr/bin/freshclam --datadir=/home/dgp/.clamtk/db --log=/home/dgp/.clamtk/db/freshclam.$(/bin/date +\%b-\%d-\%Y).log >/home/dgp/.clamtk/db/freshcla_cron.log 2>&1 ; /usr/local/bin/clamdscan --config-file=/etc/clamav/clamd.conf --reload --log="$HOME/.clamtk/history/$(/bin/date +\%b-\%d-\%Y).log" >>.clamtk/history/clamscan.log 2>&1 ; /usr/local/bin/clamdscan --config-file=/etc/clamav/clad.conf --quiet --multiscan --fdpass --log="$HOME/.clamtk/history/$(/bin/date +\%b-\%d-\%Y).log" $HOME >>.clamtk/history/clamscan.log 2>&1 # freshclam update andclam-scan
from this line:
30 23 * * * /usr/bin/freshclam --datadir=/home/dgp/.clamtk/db --log=/home/dgp/.clamtk/db/freshclam.$(/bin/date +\%b-\%d-\%Y).log >/home/dgp/.clamtk/db/freshclam_cron.log 2>&1 ; /usr/local/bin/clamdscan --config-file=/etc/clamav/clamd.conf --reload --log="$HOME/.clamtk/history/$(/bin/date +\%b-\%d-\%Y).log" >>.clamtk/history/clamscan.log 2>&1 ; /usr/local/bin/clamdscan --config-file=/etc/clamav/clamd.conf --quiet --multiscan --fdpass --log="$HOME/.clamtk/history/$(/bin/date +\%b-\%d-\%Y).log" $HOME >>.clamtk/history/clamscan.log 2>&1 # freshclam update and clam-scan
On my 80x25 xterm, the missing byte should have been at the end of the line, and is highlighted in red.  Highlighting is ok but accurate data is nicer?